> ## Documentation Index
> Fetch the complete documentation index at: https://tradewatch.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Symbols

> Get list of available symbols



## OpenAPI

````yaml /openapi.json get /indices/symbols
openapi: 3.1.0
info:
  title: tradewatch.io
  version: 3.1.0
  description: Financial market data for Developers
servers:
  - url: https://api.tradewatch.io
    description: Production API server
security:
  - API Key: []
tags:
  - name: Account
    description: >-
      In this section, you can find methods that can be helpful to manage your
      API account.
    x-displayName: Account
  - name: Currencies
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for traditional currencies (Forex).
    x-displayName: Currencies
  - name: Crypto
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for cryptocurrencies.
    x-displayName: Crypto
  - name: Indices
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for market indices.
    x-displayName: Indices
  - name: Stocks
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for stocks and equities.
    x-displayName: Stocks
  - name: Fundamentals
    description: Financial statements and company data sourced from SEC EDGAR filings.
  - name: Markets
    description: Stock exchange and market session information.
  - name: Commodities
    description: >-
      In this section, you can find methods that can be helpful to retrieve data
      for commodities.
    x-displayName: Commodities
paths:
  /indices/symbols:
    get:
      tags:
        - Indices
      summary: Available Symbols
      description: Get list of available symbols
      operationId: indices_get_symbols
      parameters:
        - name: size
          in: query
          required: false
          schema:
            type: integer
            ge: 0
            description: The number of items per page.
            default: 10
            title: Size
          description: The number of items per page.
        - name: mode
          in: query
          required: false
          schema:
            type: string
            description: The mode of the response.
            default: base
            title: Mode
          description: The mode of the response.
        - name: type
          in: query
          required: false
          schema:
            type: string
            description: Type of the instrument.
            default: all
            title: Type
          description: Type of the instrument.
        - name: country
          in: query
          required: false
          schema:
            type: string
            description: Country of the instrument.
            default: all
            title: Country
          description: Country of the instrument.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            description: Cursor for the next page
            title: Cursor
          description: Cursor for the next page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CursorPage_TypeVar_Customized_SymbolsOutFull_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CursorPage_TypeVar_Customized_SymbolsOutFull_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SymbolsOutFull'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total
          description: Total items
        current_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page
          description: Cursor to refetch the current page
        current_page_backwards:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page Backwards
          description: Cursor to refetch the current page starting from the last item
        previous_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page
          description: Cursor for the previous page
        next_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page
          description: Cursor for the next page
      type: object
      required:
        - items
      title: CursorPage[TypeVar]Customized[SymbolsOutFull]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SymbolsOutFull:
      properties:
        symbol:
          type: string
          title: Symbol
          description: >-
            The unique symbol of the financial instrument (e.g. AAPL, BTCUSD,
            etc.).
        name:
          type: string
          title: Name
          description: The full name of the financial instrument.
      type: object
      required:
        - symbol
        - name
      title: SymbolsOutFull
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      description: Authentication via API key header
      type: apiKey
      name: api-key
      in: header

````